namespace BindingBug.App.Presentation.DeviceConnection;

public partial class DeviceConnectionViewModel : ObservableObject
{
    [ObservableProperty] private ConnectionEthernetViewModel _connectionEthernetViewModel;

    public DeviceConnectionViewModel(IOptions<AppConfig> appInfo, INavigator navigator, IServiceProvider serviceProvider)
    {
        ConnectionEthernetViewModel = serviceProvider.GetService<ConnectionEthernetViewModel>();
    }
}
