using BindingBug.App.Presentation.DeviceConnection;

namespace BindingBug.App.Presentation;

public partial class MainViewModel : ObservableObject
{
    private INavigator _navigator;
    
    [ObservableProperty] private DeviceConnectionViewModel? _deviceConnectionViewModel;
    [ObservableProperty] private string? name;
        
    public MainViewModel(
        IStringLocalizer localizer,
        IOptions<AppConfig> appInfo,
        INavigator navigator,
        IServiceProvider serviceProvider)
    {
        _navigator = navigator;
        
        DeviceConnectionViewModel = serviceProvider.GetService<DeviceConnectionViewModel>();
    }
}
