using BindingBug.App.Presentation.DeviceConnection;
using Microsoft.Extensions.DependencyInjection;

namespace BindingBug.App.Presentation;

public class ShellViewModel
{
    private readonly INavigator _navigator;

    public ShellViewModel(IServiceProvider serviceProvider,
        INavigator navigator)
    {
        ((App)Application.Current).ServiceProvider = serviceProvider;
        //var a = serviceProvider.GetService<DeviceConnectionViewModel>();
        //var b = serviceProvider.GetService<ConnectionEthernetViewModel>();
        _navigator = navigator;
        _ = Start();
    }

    public async Task Start()
    {
        await _navigator.NavigateViewModelAsync<MainViewModel>(this);
    }
}
